#definizione insiemi


set NODES ordered := 1 .. 11;
set ARCS within {NODES, NODES};


#definizione parametri

param capacity{ARCS} >= 0, default Infinity;
param lowerBound{ARCS} >= 0, default 0;
param cost{ARCS} >= 0;
param demand{NODES} default 0;

check: sum{i in NODES} demand[i] = 0;
check {(i,j) in ARCS}: lowerBound[i,j] <= capacity[i,j];


#definizione variabili

var flow{(i,j) in ARCS} >= lowerBound[i,j], <= capacity[i,j];


#definizione vincoli

subject to flow_balance {i in NODES}:
	sum{(k,i) in ARCS} flow[k,i] - sum{(i,k) in ARCS} flow[i,k] = demand[i];


# definizione obiettivo

minimize total_cost: 
	sum{(i,j) in ARCS} cost[i,j]*flow[i,j];
