set H := 9 .. 17;                                         #orizzonte temporale
set F = {(i,j) in {H,H} : i <= 16 && j = i + 1};          #fasce orarie
set O1 = {(i,j) in {H,H} : i = 9 && (j = 12 || j = 13)};  #operatori tempo pieno
set O2 = {(i,j) in {H,H} : i <= 13 && j = i + 4};         #operatori tempo parzile

param d{F} >= 1;  #copertura             
param u_2 >= 0;   #limite numero operatori tempo parziale
param c_1 >= 0;   #costo operatori tempo pieno
param c_2 >= 0;   #costo operatori tempo parziale

var x{O1} >= 0, integer;  #numero operatori tempo pieno
var y{O2} >= 0, integer;  #numero operatori tempo parziale

subject to copertura{(i,j) in F}:
	sum{(u,v) in O1: (u <= i && v >= j) || (v+1 <= i && 17 >= j)} x[u,v] + sum{(u,v) in O2: u <= i && v >= j} y[u,v] >= d[i,j];

subject to lim_O2:
	sum{(u,v) in O2} y[u,v] <= u_2;

minimize costo: 
	c_1 * sum{(i,j) in O1} x[i,j] + c_2 * sum{(i,j) in O2} y[i,j]; 
