#definizione insiemi

set M;
set A;
set S;
set R;

set NODI = M union A union S union R;
set ARCHI within {NODI, NODI};

#definizione parametri

param ub{ARCHI} >= 0, default Infinity;
param lb{ARCHI} >= 0, default 0;
param cos{ARCHI} >= 0, default 0;
param d{NODI} default 0;


check {(i,j) in ARCHI}: lb[i,j] <= ub[i,j];


#definizione variabili

var f{(i,j) in ARCHI} >= lb[i,j], <= ub[i,j];
var ac{A} >= 0;
var mag_f >= 0;


#definizione vincoli

subject to bilanciamento {i in NODI}:
	sum{(k,i) in ARCHI} f[k,i] - sum{(i,k) in ARCHI} f[i,k] = d[i] - (if i in A then ac[i] else 0) + (if i=='m4' then mag_f else 0);


# definizione obiettivo

minimize costo_totale: 
	sum{(i,j) in ARCHI} cos[i,j]*f[i,j];
