set ZUCCHERO;   # tipi di zucchero
set MISCELE;  # tipo miscela

param percentuale {ZUCCHERO,MISCELE} >= 0, <= 1; 	# percentuale del tipo di zucchero nella miscela 
param prezzo {MISCELE} >= 0;    			# prezzo di una tonnelleta della miscela 
param richiesta {ZUCCHERO} >= 0;  			# richiesta del tipo di zucchero

check {f in MISCELE}: sum {z in ZUCCHERO} percentuale[z,f] = 1;   # controllo sulla percentuale

var Qta {f in MISCELE} >= 0; # ton acquistate per miscela

minimize Costo: sum {f in MISCELE} prezzo[f] * Qta[f];  # Obiettivo:  minimizzare il costo di acquisto

subject to Richiesta_Finale {z in ZUCCHERO}:
   sum {f in MISCELE} percentuale[z,f] * Qta[f] = richiesta[z];   # le quantità finali di zucchero sono fissate
